org.apache.sling.event.jobs

## Class NotificationConstants

- java.lang.Object
- - org.apache.sling.event.jobs.NotificationConstants

    public abstract class NotificationConstants
    extends Object

This class contains constants for event notifications. Notifications for jobs can only be received on the instance where the job action is taking place. They are not send to other instances using remove events.

Since:
  1.3

### Field Summary

Fields
`static String` `NOTIFICATION_PROPERTY_JOB_ID` Property containing the unique job ID.
`static String` `NOTIFICATION_PROPERTY_JOB_TOPIC` Property containing the job topic.
`static String` `TOPIC_JOB_ADDED` Asynchronous notification event when a job is added.
`static String` `TOPIC_JOB_CANCELLED` Asynchronous notification event when a job is cancelled.
`static String` `TOPIC_JOB_FAILED` Asynchronous notification event when a job failed.
`static String` `TOPIC_JOB_FINISHED` Asynchronous notification event when a job is finished.
`static String` `TOPIC_JOB_REMOVED` Asynchronous notification event when a job is permanently removed.
`static String` `TOPIC_JOB_STARTED` Asynchronous notification event when a job is started.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TOPIC_JOB_STARTED

    public static final String TOPIC_JOB_STARTED

Asynchronous notification event when a job is started. The property `NOTIFICATION_PROPERTY_JOB_TOPIC` contains the job topic, the property `NOTIFICATION_PROPERTY_JOB_ID` contains the unique job id. The time stamp of the event (as a Long) is available from the property `EventConstants.TIMESTAMP`. The payload of the job is available as additional job specific properties.

See Also:
  Constant Field Values

#### TOPIC_JOB_FINISHED

    public static final String TOPIC_JOB_FINISHED

Asynchronous notification event when a job is finished. The property `NOTIFICATION_PROPERTY_JOB_TOPIC` contains the job topic, the property `NOTIFICATION_PROPERTY_JOB_ID` contains the unique job id. The time stamp of the event (as a Long) is available from the property `EventConstants.TIMESTAMP`. The payload of the job is available as additional job specific properties.

See Also:
  Constant Field Values

#### TOPIC_JOB_FAILED

    public static final String TOPIC_JOB_FAILED

Asynchronous notification event when a job failed. If a job execution fails, it is rescheduled for another try. The property `NOTIFICATION_PROPERTY_JOB_TOPIC` contains the job topic, the property `NOTIFICATION_PROPERTY_JOB_ID` contains the unique job id. The time stamp of the event (as a Long) is available from the property `EventConstants.TIMESTAMP`. The payload of the job is available as additional job specific properties.

See Also:
  Constant Field Values

#### TOPIC_JOB_CANCELLED

    public static final String TOPIC_JOB_CANCELLED

Asynchronous notification event when a job is cancelled. If a job execution is cancelled it is not rescheduled. The property `NOTIFICATION_PROPERTY_JOB_TOPIC` contains the job topic, the property `NOTIFICATION_PROPERTY_JOB_ID` contains the unique job id. The time stamp of the event (as a Long) is available from the property `EventConstants.TIMESTAMP`. The payload of the job is available as additional job specific properties.

See Also:
  Constant Field Values

#### TOPIC_JOB_REMOVED

    public static final String TOPIC_JOB_REMOVED

Asynchronous notification event when a job is permanently removed. The property `NOTIFICATION_PROPERTY_JOB_TOPIC` contains the job topic, the property `NOTIFICATION_PROPERTY_JOB_ID` contains the unique job id. The payload of the job is available as additional job specific properties.

See Also:
  Constant Field Values

#### TOPIC_JOB_ADDED

    public static final String TOPIC_JOB_ADDED

Asynchronous notification event when a job is added. The property `NOTIFICATION_PROPERTY_JOB_TOPIC` contains the job topic, the property `NOTIFICATION_PROPERTY_JOB_ID` contains the unique job id.

Since:
  1.6
See Also:
  Constant Field Values

#### NOTIFICATION_PROPERTY_JOB_TOPIC

    public static final String NOTIFICATION_PROPERTY_JOB_TOPIC

Property containing the job topic. Value is of type String.

See Also:
  `Job.getTopic()`, Constant Field Values

#### NOTIFICATION_PROPERTY_JOB_ID

    public static final String NOTIFICATION_PROPERTY_JOB_ID

Property containing the unique job ID. Value is of type String.

See Also:
  `Job.getId()`, Constant Field Values